%define objprelink 0

Name: kmediagrab
Version: 0.3
Release: alt1
Source0: %name-%version.tar.bz2
URL: http://sourceforge.net/projects/kmediagrab
License: GPL
Group: Video
Summary: Kmediagrab is a front end to some of mplayer/mencoder features.
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Requires: kdelibs-gcc_compiled = %__gcc_version_base

# Automatically added by buildreq on Thu Dec 05 2002
BuildRequires: XFree86-devel-static XFree86-libs freetype2
BuildRequires: gcc-c++ kdelibs-devel libGLU libXft libart_lgpl-devel
BuildRequires: libarts-devel libexpat libfontconfig libjpeg-devel 
BuildRequires: liblcms libmng
BuildRequires: libpng-devel libqt3-devel libstdc++-devel 
BuildRequires: zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif

%description
Kmediagrab is a front end to some of mplayer/mencoder features. In detail it grabs audio/video from a DVD , a Tv video card and translate a video file from one format to another. It's intended for the medium user who wants to use its video card as a vi.
%prep
%setup -q
[ -f Makefile.dist ] && make -f Makefile.dist

%undefine __libtoolize
%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export CFLAGS="%optflags"
export CXXFLAGS="%optflags"

%undefine __libtoolize
%configure \
	--with-xinerama \
	--disable-debug \
	--disable-static \
	--enable-shared

%if %objprelink
%make CXX=g++prelink
%else
%make
%endif

%install
%make DESTDIR=%buildroot install
%set_verify_elf_method relaxed

#create menu
cp %buildroot%_iconsdir/locolor/32x32/apps/*.png %buildroot%_iconsdir/%name.png
mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name Multimedia/Video %buildroot%_datadir/applnk/Applications/%name.desktop %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README
%_bindir/*
%_menudir/%name
%_datadir/applnk/Applications/*.desktop
%_iconsdir/locolor/16x16/apps/*.png
%_iconsdir/locolor/32x32/apps/*.png
%_iconsdir/*.png

%changelog
* Sat Jan 18 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.3-alt1
- 0.3

* Wed Nov 06 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.1-alt1
- 0.1

- specfile cleanup

